### YamlMime:ManagedReference
items:
- uid: adas_core.LdapLogin.LdapLoginService
  commentId: T:adas_core.LdapLogin.LdapLoginService
  id: LdapLoginService
  parent: adas_core.LdapLogin
  children:
  - adas_core.LdapLogin.LdapLoginService.#ctor(Microsoft.Extensions.Options.IOptions{adas_core.LdapLogin.Configuration.LdapConfig},FluentValidation.IValidator{adas_core.LdapLogin.Configuration.LdapConfig},System.Lazy{adas_core.Authentication.Interfaces.IUserService},adas_core.Authentication.Interfaces.IAuthorityService,Microsoft.Extensions.Logging.ILogger{adas_core.LdapLogin.LdapLoginService})
  - adas_core.LdapLogin.LdapLoginService.AllowPassword
  - adas_core.LdapLogin.LdapLoginService.Authenticate(System.String,System.String)
  - adas_core.LdapLogin.LdapLoginService.GetAllUsers
  - adas_core.LdapLogin.LdapLoginService.GetByEmail(System.String)
  - adas_core.LdapLogin.LdapLoginService.GetById(MongoDB.Bson.ObjectId)
  - adas_core.LdapLogin.LdapLoginService.GetByUsername(System.String)
  - adas_core.LdapLogin.LdapLoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
  - adas_core.LdapLogin.LdapLoginService.Login(System.String,System.String)
  - adas_core.LdapLogin.LdapLoginService.Method
  langs:
  - csharp
  - vb
  name: LdapLoginService
  nameWithType: LdapLoginService
  fullName: adas_core.LdapLogin.LdapLoginService
  type: Class
  source:
    remote:
      path: adas-core.LdapLogin/LdapLoginService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: LdapLoginService
    path: ../../adas-core.LdapLogin/LdapLoginService.cs
    startLine: 21
  assemblies:
  - adas-core.LdapLogin
  namespace: adas_core.LdapLogin
  summary: >-
    Implementation of ILoginService that authenticates users against an LDAP server. 

    It retrieves user information and authorities based on the LDAP entry and maps them to the application's user model. 

    The service also handles the creation of new users in the application if they do not already exist, based on the LDAP information. 

    It uses configuration settings for connecting to the LDAP server and for mapping LDAP attributes to user properties and authorities.
  example: []
  syntax:
    content: 'public class LdapLoginService : ILoginService'
    content.vb: Public Class LdapLoginService Implements ILoginService
  inheritance:
  - System.Object
  implements:
  - adas_core.Authentication.Interfaces.ILoginService
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.LdapLogin.LdapLoginService.#ctor(Microsoft.Extensions.Options.IOptions{adas_core.LdapLogin.Configuration.LdapConfig},FluentValidation.IValidator{adas_core.LdapLogin.Configuration.LdapConfig},System.Lazy{adas_core.Authentication.Interfaces.IUserService},adas_core.Authentication.Interfaces.IAuthorityService,Microsoft.Extensions.Logging.ILogger{adas_core.LdapLogin.LdapLoginService})
  commentId: M:adas_core.LdapLogin.LdapLoginService.#ctor(Microsoft.Extensions.Options.IOptions{adas_core.LdapLogin.Configuration.LdapConfig},FluentValidation.IValidator{adas_core.LdapLogin.Configuration.LdapConfig},System.Lazy{adas_core.Authentication.Interfaces.IUserService},adas_core.Authentication.Interfaces.IAuthorityService,Microsoft.Extensions.Logging.ILogger{adas_core.LdapLogin.LdapLoginService})
  id: '#ctor(Microsoft.Extensions.Options.IOptions{adas_core.LdapLogin.Configuration.LdapConfig},FluentValidation.IValidator{adas_core.LdapLogin.Configuration.LdapConfig},System.Lazy{adas_core.Authentication.Interfaces.IUserService},adas_core.Authentication.Interfaces.IAuthorityService,Microsoft.Extensions.Logging.ILogger{adas_core.LdapLogin.LdapLoginService})'
  parent: adas_core.LdapLogin.LdapLoginService
  langs:
  - csharp
  - vb
  name: LdapLoginService(IOptions<LdapConfig>, IValidator<LdapConfig>, Lazy<IUserService>, IAuthorityService, ILogger<LdapLoginService>)
  nameWithType: LdapLoginService.LdapLoginService(IOptions<LdapConfig>, IValidator<LdapConfig>, Lazy<IUserService>, IAuthorityService, ILogger<LdapLoginService>)
  fullName: adas_core.LdapLogin.LdapLoginService.LdapLoginService(Microsoft.Extensions.Options.IOptions<adas_core.LdapLogin.Configuration.LdapConfig>, FluentValidation.IValidator<adas_core.LdapLogin.Configuration.LdapConfig>, System.Lazy<adas_core.Authentication.Interfaces.IUserService>, adas_core.Authentication.Interfaces.IAuthorityService, Microsoft.Extensions.Logging.ILogger<adas_core.LdapLogin.LdapLoginService>)
  type: Constructor
  source:
    remote:
      path: adas-core.LdapLogin/LdapLoginService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: .ctor
    path: ../../adas-core.LdapLogin/LdapLoginService.cs
    startLine: 52
  assemblies:
  - adas-core.LdapLogin
  namespace: adas_core.LdapLogin
  summary: Constructor for LdapLoginService. It initializes the service with the necessary dependencies and validates the LDAP configuration.
  example: []
  syntax:
    content: public LdapLoginService(IOptions<LdapConfig> ldapConfig, IValidator<LdapConfig> validator, Lazy<IUserService> userService, IAuthorityService authorityService, ILogger<LdapLoginService> logger)
    parameters:
    - id: ldapConfig
      type: Microsoft.Extensions.Options.IOptions{adas_core.LdapLogin.Configuration.LdapConfig}
      description: The LDAP configuration options.
    - id: validator
      type: FluentValidation.IValidator{adas_core.LdapLogin.Configuration.LdapConfig}
      description: The validator for the LDAP configuration.
    - id: userService
      type: System.Lazy{adas_core.Authentication.Interfaces.IUserService}
      description: The user service for managing user information.
    - id: authorityService
      type: adas_core.Authentication.Interfaces.IAuthorityService
      description: The authority service for managing user authorities.
    - id: logger
      type: Microsoft.Extensions.Logging.ILogger{adas_core.LdapLogin.LdapLoginService}
      description: The logger for logging LDAP login operations.
    content.vb: Public Sub New(ldapConfig As IOptions(Of LdapConfig), validator As IValidator(Of LdapConfig), userService As Lazy(Of IUserService), authorityService As IAuthorityService, logger As ILogger(Of LdapLoginService))
  overload: adas_core.LdapLogin.LdapLoginService.#ctor*
  nameWithType.vb: LdapLoginService.New(IOptions(Of LdapConfig), IValidator(Of LdapConfig), Lazy(Of IUserService), IAuthorityService, ILogger(Of LdapLoginService))
  fullName.vb: adas_core.LdapLogin.LdapLoginService.New(Microsoft.Extensions.Options.IOptions(Of adas_core.LdapLogin.Configuration.LdapConfig), FluentValidation.IValidator(Of adas_core.LdapLogin.Configuration.LdapConfig), System.Lazy(Of adas_core.Authentication.Interfaces.IUserService), adas_core.Authentication.Interfaces.IAuthorityService, Microsoft.Extensions.Logging.ILogger(Of adas_core.LdapLogin.LdapLoginService))
  name.vb: New(IOptions(Of LdapConfig), IValidator(Of LdapConfig), Lazy(Of IUserService), IAuthorityService, ILogger(Of LdapLoginService))
- uid: adas_core.LdapLogin.LdapLoginService.AllowPassword
  commentId: P:adas_core.LdapLogin.LdapLoginService.AllowPassword
  id: AllowPassword
  parent: adas_core.LdapLogin.LdapLoginService
  langs:
  - csharp
  - vb
  name: AllowPassword
  nameWithType: LdapLoginService.AllowPassword
  fullName: adas_core.LdapLogin.LdapLoginService.AllowPassword
  type: Property
  source:
    remote:
      path: adas-core.LdapLogin/LdapLoginService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AllowPassword
    path: ../../adas-core.LdapLogin/LdapLoginService.cs
    startLine: 69
  assemblies:
  - adas-core.LdapLogin
  namespace: adas_core.LdapLogin
  summary: Indicates that this login service allows password authentication, as it connects to an LDAP server which typically requires a username and password for authentication.
  example: []
  syntax:
    content: public bool AllowPassword { get; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public ReadOnly Property AllowPassword As Boolean
  overload: adas_core.LdapLogin.LdapLoginService.AllowPassword*
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.AllowPassword
- uid: adas_core.LdapLogin.LdapLoginService.Method
  commentId: P:adas_core.LdapLogin.LdapLoginService.Method
  id: Method
  parent: adas_core.LdapLogin.LdapLoginService
  langs:
  - csharp
  - vb
  name: Method
  nameWithType: LdapLoginService.Method
  fullName: adas_core.LdapLogin.LdapLoginService.Method
  type: Property
  source:
    remote:
      path: adas-core.LdapLogin/LdapLoginService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Method
    path: ../../adas-core.LdapLogin/LdapLoginService.cs
    startLine: 74
  assemblies:
  - adas-core.LdapLogin
  namespace: adas_core.LdapLogin
  summary: Indicates that this login service does not allow token-based authentication, as it is designed to authenticate users against an LDAP server using their credentials rather than tokens.
  example: []
  syntax:
    content: public UserEnum.LoginMethod Method { get; }
    parameters: []
    return:
      type: adas_core.Domain.Enums.UserEnum.LoginMethod
    content.vb: Public ReadOnly Property Method As UserEnum.LoginMethod
  overload: adas_core.LdapLogin.LdapLoginService.Method*
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.Method
- uid: adas_core.LdapLogin.LdapLoginService.Login(System.String,System.String)
  commentId: M:adas_core.LdapLogin.LdapLoginService.Login(System.String,System.String)
  id: Login(System.String,System.String)
  parent: adas_core.LdapLogin.LdapLoginService
  langs:
  - csharp
  - vb
  name: Login(string, string)
  nameWithType: LdapLoginService.Login(string, string)
  fullName: adas_core.LdapLogin.LdapLoginService.Login(string, string)
  type: Method
  source:
    remote:
      path: adas-core.LdapLogin/LdapLoginService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Login
    path: ../../adas-core.LdapLogin/LdapLoginService.cs
    startLine: 84
  assemblies:
  - adas-core.LdapLogin
  namespace: adas_core.LdapLogin
  summary: Authenticates a user against the LDAP server using the provided username and password.
  example: []
  syntax:
    content: public Task<User> Login(string username, string password)
    parameters:
    - id: username
      type: System.String
      description: The username of the user to authenticate.
    - id: password
      type: System.String
      description: The password of the user to authenticate.
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: The authenticated user.
    content.vb: Public Function Login(username As String, password As String) As Task(Of User)
  overload: adas_core.LdapLogin.LdapLoginService.Login*
  exceptions:
  - type: adas_core.Domain.Exceptions.LoginServicesException
    commentId: T:adas_core.Domain.Exceptions.LoginServicesException
    description: Thrown when there is an error during the login process.
  - type: adas_core.Domain.Exceptions.UserNotFoundException
    commentId: T:adas_core.Domain.Exceptions.UserNotFoundException
    description: Thrown when the user is not found in the LDAP directory.
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.Login(System.String,System.String)
  nameWithType.vb: LdapLoginService.Login(String, String)
  fullName.vb: adas_core.LdapLogin.LdapLoginService.Login(String, String)
  name.vb: Login(String, String)
- uid: adas_core.LdapLogin.LdapLoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
  commentId: M:adas_core.LdapLogin.LdapLoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
  id: Login(Microsoft.AspNetCore.Http.HttpContext)
  parent: adas_core.LdapLogin.LdapLoginService
  langs:
  - csharp
  - vb
  name: Login(HttpContext)
  nameWithType: LdapLoginService.Login(HttpContext)
  fullName: adas_core.LdapLogin.LdapLoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
  type: Method
  source:
    remote:
      path: adas-core.LdapLogin/LdapLoginService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Login
    path: ../../adas-core.LdapLogin/LdapLoginService.cs
    startLine: 170
  assemblies:
  - adas-core.LdapLogin
  namespace: adas_core.LdapLogin
  summary: This method is not implemented in the LdapLoginService, as the login process is handled through the Login(string username, string password) method.
  example: []
  syntax:
    content: public Task<User> Login(HttpContext context)
    parameters:
    - id: context
      type: Microsoft.AspNetCore.Http.HttpContext
      description: The HTTP context of the request.
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: A task representing the asynchronous operation.
    content.vb: Public Function Login(context As HttpContext) As Task(Of User)
  overload: adas_core.LdapLogin.LdapLoginService.Login*
  exceptions:
  - type: adas_core.Domain.Exceptions.LoginServicesException
    commentId: T:adas_core.Domain.Exceptions.LoginServicesException
    description: Thrown when the method is not implemented.
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
- uid: adas_core.LdapLogin.LdapLoginService.Authenticate(System.String,System.String)
  commentId: M:adas_core.LdapLogin.LdapLoginService.Authenticate(System.String,System.String)
  id: Authenticate(System.String,System.String)
  parent: adas_core.LdapLogin.LdapLoginService
  langs:
  - csharp
  - vb
  name: Authenticate(string, string)
  nameWithType: LdapLoginService.Authenticate(string, string)
  fullName: adas_core.LdapLogin.LdapLoginService.Authenticate(string, string)
  type: Method
  source:
    remote:
      path: adas-core.LdapLogin/LdapLoginService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Authenticate
    path: ../../adas-core.LdapLogin/LdapLoginService.cs
    startLine: 182
  assemblies:
  - adas-core.LdapLogin
  namespace: adas_core.LdapLogin
  summary: This method is not implemented in the LdapLoginService, as the authentication process is handled through the Login(string username, string password) method.
  example: []
  syntax:
    content: public Task<User> Authenticate(string username, string password)
    parameters:
    - id: username
      type: System.String
      description: The username of the user to authenticate.
    - id: password
      type: System.String
      description: The password of the user to authenticate.
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: A task representing the asynchronous operation.
    content.vb: Public Function Authenticate(username As String, password As String) As Task(Of User)
  overload: adas_core.LdapLogin.LdapLoginService.Authenticate*
  exceptions:
  - type: adas_core.Domain.Exceptions.LoginServicesException
    commentId: T:adas_core.Domain.Exceptions.LoginServicesException
    description: Thrown when the method is not implemented.
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.Authenticate(System.String,System.String)
  nameWithType.vb: LdapLoginService.Authenticate(String, String)
  fullName.vb: adas_core.LdapLogin.LdapLoginService.Authenticate(String, String)
  name.vb: Authenticate(String, String)
- uid: adas_core.LdapLogin.LdapLoginService.GetById(MongoDB.Bson.ObjectId)
  commentId: M:adas_core.LdapLogin.LdapLoginService.GetById(MongoDB.Bson.ObjectId)
  id: GetById(MongoDB.Bson.ObjectId)
  parent: adas_core.LdapLogin.LdapLoginService
  langs:
  - csharp
  - vb
  name: GetById(ObjectId)
  nameWithType: LdapLoginService.GetById(ObjectId)
  fullName: adas_core.LdapLogin.LdapLoginService.GetById(MongoDB.Bson.ObjectId)
  type: Method
  source:
    remote:
      path: adas-core.LdapLogin/LdapLoginService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: GetById
    path: ../../adas-core.LdapLogin/LdapLoginService.cs
    startLine: 193
  assemblies:
  - adas-core.LdapLogin
  namespace: adas_core.LdapLogin
  summary: This method is not implemented in the LdapLoginService, as the user retrieval process is handled through the Login(string username, string password) method and the GetOrCreateUser(User userEntryLdap, LdapEntry entry) method.
  example: []
  syntax:
    content: public Task<User?> GetById(ObjectId id)
    parameters:
    - id: id
      type: MongoDB.Bson.ObjectId
      description: The ID of the user to retrieve.
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: A task representing the asynchronous operation.
    content.vb: Public Function GetById(id As ObjectId) As Task(Of User)
  overload: adas_core.LdapLogin.LdapLoginService.GetById*
  exceptions:
  - type: adas_core.Domain.Exceptions.LoginServicesException
    commentId: T:adas_core.Domain.Exceptions.LoginServicesException
    description: Thrown when the method is not implemented.
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
- uid: adas_core.LdapLogin.LdapLoginService.GetByEmail(System.String)
  commentId: M:adas_core.LdapLogin.LdapLoginService.GetByEmail(System.String)
  id: GetByEmail(System.String)
  parent: adas_core.LdapLogin.LdapLoginService
  langs:
  - csharp
  - vb
  name: GetByEmail(string)
  nameWithType: LdapLoginService.GetByEmail(string)
  fullName: adas_core.LdapLogin.LdapLoginService.GetByEmail(string)
  type: Method
  source:
    remote:
      path: adas-core.LdapLogin/LdapLoginService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: GetByEmail
    path: ../../adas-core.LdapLogin/LdapLoginService.cs
    startLine: 204
  assemblies:
  - adas-core.LdapLogin
  namespace: adas_core.LdapLogin
  summary: This method is not implemented in the LdapLoginService, as the user retrieval process is handled through the Login(string username, string password) method and the GetOrCreateUser(User userEntryLdap, LdapEntry entry) method.
  example: []
  syntax:
    content: public Task<User?> GetByEmail(string email)
    parameters:
    - id: email
      type: System.String
      description: The email of the user to retrieve.
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: A task representing the asynchronous operation.
    content.vb: Public Function GetByEmail(email As String) As Task(Of User)
  overload: adas_core.LdapLogin.LdapLoginService.GetByEmail*
  exceptions:
  - type: adas_core.Domain.Exceptions.LoginServicesException
    commentId: T:adas_core.Domain.Exceptions.LoginServicesException
    description: Thrown when the method is not implemented.
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.GetByEmail(System.String)
  nameWithType.vb: LdapLoginService.GetByEmail(String)
  fullName.vb: adas_core.LdapLogin.LdapLoginService.GetByEmail(String)
  name.vb: GetByEmail(String)
- uid: adas_core.LdapLogin.LdapLoginService.GetByUsername(System.String)
  commentId: M:adas_core.LdapLogin.LdapLoginService.GetByUsername(System.String)
  id: GetByUsername(System.String)
  parent: adas_core.LdapLogin.LdapLoginService
  langs:
  - csharp
  - vb
  name: GetByUsername(string)
  nameWithType: LdapLoginService.GetByUsername(string)
  fullName: adas_core.LdapLogin.LdapLoginService.GetByUsername(string)
  type: Method
  source:
    remote:
      path: adas-core.LdapLogin/LdapLoginService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: GetByUsername
    path: ../../adas-core.LdapLogin/LdapLoginService.cs
    startLine: 215
  assemblies:
  - adas-core.LdapLogin
  namespace: adas_core.LdapLogin
  summary: This method is not implemented in the LdapLoginService, as the user retrieval process is handled through the Login(string username, string password) method and the GetOrCreateUser(User userEntryLdap, LdapEntry entry) method.
  example: []
  syntax:
    content: public Task<User?> GetByUsername(string username)
    parameters:
    - id: username
      type: System.String
      description: The username of the user to retrieve.
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: A task representing the asynchronous operation.
    content.vb: Public Function GetByUsername(username As String) As Task(Of User)
  overload: adas_core.LdapLogin.LdapLoginService.GetByUsername*
  exceptions:
  - type: adas_core.Domain.Exceptions.LoginServicesException
    commentId: T:adas_core.Domain.Exceptions.LoginServicesException
    description: Thrown when the method is not implemented.
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.GetByUsername(System.String)
  nameWithType.vb: LdapLoginService.GetByUsername(String)
  fullName.vb: adas_core.LdapLogin.LdapLoginService.GetByUsername(String)
  name.vb: GetByUsername(String)
- uid: adas_core.LdapLogin.LdapLoginService.GetAllUsers
  commentId: M:adas_core.LdapLogin.LdapLoginService.GetAllUsers
  id: GetAllUsers
  parent: adas_core.LdapLogin.LdapLoginService
  langs:
  - csharp
  - vb
  name: GetAllUsers()
  nameWithType: LdapLoginService.GetAllUsers()
  fullName: adas_core.LdapLogin.LdapLoginService.GetAllUsers()
  type: Method
  source:
    remote:
      path: adas-core.LdapLogin/LdapLoginService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: GetAllUsers
    path: ../../adas-core.LdapLogin/LdapLoginService.cs
    startLine: 225
  assemblies:
  - adas-core.LdapLogin
  namespace: adas_core.LdapLogin
  summary: This method is not implemented in the LdapLoginService, as the user retrieval process is handled through the Login(string username, string password) method and the GetOrCreateUser(User userEntryLdap, LdapEntry entry) method.
  example: []
  syntax:
    content: public Task<List<User>> GetAllUsers()
    return:
      type: System.Threading.Tasks.Task{System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.User}}
      description: A task representing the asynchronous operation.
    content.vb: Public Function GetAllUsers() As Task(Of List(Of User))
  overload: adas_core.LdapLogin.LdapLoginService.GetAllUsers*
  exceptions:
  - type: adas_core.Domain.Exceptions.LoginServicesException
    commentId: T:adas_core.Domain.Exceptions.LoginServicesException
    description: Thrown when the method is not implemented.
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.GetAllUsers
references:
- uid: adas_core.LdapLogin
  commentId: N:adas_core.LdapLogin
  href: adas_core.html
  name: adas_core.LdapLogin
  nameWithType: adas_core.LdapLogin
  fullName: adas_core.LdapLogin
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.LdapLogin
    name: LdapLogin
    href: adas_core.LdapLogin.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.LdapLogin
    name: LdapLogin
    href: adas_core.LdapLogin.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: adas_core.Authentication.Interfaces.ILoginService
  commentId: T:adas_core.Authentication.Interfaces.ILoginService
  parent: adas_core.Authentication.Interfaces
  href: adas_core.Authentication.Interfaces.ILoginService.html
  name: ILoginService
  nameWithType: ILoginService
  fullName: adas_core.Authentication.Interfaces.ILoginService
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Authentication.Interfaces
  commentId: N:adas_core.Authentication.Interfaces
  href: adas_core.html
  name: adas_core.Authentication.Interfaces
  nameWithType: adas_core.Authentication.Interfaces
  fullName: adas_core.Authentication.Interfaces
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Authentication
    name: Authentication
    href: adas_core.Authentication.html
  - name: .
  - uid: adas_core.Authentication.Interfaces
    name: Interfaces
    href: adas_core.Authentication.Interfaces.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Authentication
    name: Authentication
    href: adas_core.Authentication.html
  - name: .
  - uid: adas_core.Authentication.Interfaces
    name: Interfaces
    href: adas_core.Authentication.Interfaces.html
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.LdapLogin.LdapLoginService.#ctor*
  commentId: Overload:adas_core.LdapLogin.LdapLoginService.#ctor
  href: adas_core.LdapLogin.LdapLoginService.html#adas_core_LdapLogin_LdapLoginService__ctor_Microsoft_Extensions_Options_IOptions_adas_core_LdapLogin_Configuration_LdapConfig__FluentValidation_IValidator_adas_core_LdapLogin_Configuration_LdapConfig__System_Lazy_adas_core_Authentication_Interfaces_IUserService__adas_core_Authentication_Interfaces_IAuthorityService_Microsoft_Extensions_Logging_ILogger_adas_core_LdapLogin_LdapLoginService__
  name: LdapLoginService
  nameWithType: LdapLoginService.LdapLoginService
  fullName: adas_core.LdapLogin.LdapLoginService.LdapLoginService
  nameWithType.vb: LdapLoginService.New
  fullName.vb: adas_core.LdapLogin.LdapLoginService.New
  name.vb: New
- uid: Microsoft.Extensions.Options.IOptions{adas_core.LdapLogin.Configuration.LdapConfig}
  commentId: T:Microsoft.Extensions.Options.IOptions{adas_core.LdapLogin.Configuration.LdapConfig}
  parent: Microsoft.Extensions.Options
  definition: Microsoft.Extensions.Options.IOptions`1
  href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  name: IOptions<LdapConfig>
  nameWithType: IOptions<LdapConfig>
  fullName: Microsoft.Extensions.Options.IOptions<adas_core.LdapLogin.Configuration.LdapConfig>
  nameWithType.vb: IOptions(Of LdapConfig)
  fullName.vb: Microsoft.Extensions.Options.IOptions(Of adas_core.LdapLogin.Configuration.LdapConfig)
  name.vb: IOptions(Of LdapConfig)
  spec.csharp:
  - uid: Microsoft.Extensions.Options.IOptions`1
    name: IOptions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  - name: <
  - uid: adas_core.LdapLogin.Configuration.LdapConfig
    name: LdapConfig
    href: adas_core.LdapLogin.Configuration.LdapConfig.html
  - name: '>'
  spec.vb:
  - uid: Microsoft.Extensions.Options.IOptions`1
    name: IOptions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.LdapLogin.Configuration.LdapConfig
    name: LdapConfig
    href: adas_core.LdapLogin.Configuration.LdapConfig.html
  - name: )
- uid: FluentValidation.IValidator{adas_core.LdapLogin.Configuration.LdapConfig}
  commentId: T:FluentValidation.IValidator{adas_core.LdapLogin.Configuration.LdapConfig}
  parent: FluentValidation
  definition: FluentValidation.IValidator`1
  href: adas_core.LdapLogin.Configuration.LdapConfig.html
  name: IValidator<LdapConfig>
  nameWithType: IValidator<LdapConfig>
  fullName: FluentValidation.IValidator<adas_core.LdapLogin.Configuration.LdapConfig>
  nameWithType.vb: IValidator(Of LdapConfig)
  fullName.vb: FluentValidation.IValidator(Of adas_core.LdapLogin.Configuration.LdapConfig)
  name.vb: IValidator(Of LdapConfig)
  spec.csharp:
  - uid: FluentValidation.IValidator`1
    name: IValidator
    isExternal: true
  - name: <
  - uid: adas_core.LdapLogin.Configuration.LdapConfig
    name: LdapConfig
    href: adas_core.LdapLogin.Configuration.LdapConfig.html
  - name: '>'
  spec.vb:
  - uid: FluentValidation.IValidator`1
    name: IValidator
    isExternal: true
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.LdapLogin.Configuration.LdapConfig
    name: LdapConfig
    href: adas_core.LdapLogin.Configuration.LdapConfig.html
  - name: )
- uid: System.Lazy{adas_core.Authentication.Interfaces.IUserService}
  commentId: T:System.Lazy{adas_core.Authentication.Interfaces.IUserService}
  parent: System
  definition: System.Lazy`1
  href: https://learn.microsoft.com/dotnet/api/system.lazy-1
  name: Lazy<IUserService>
  nameWithType: Lazy<IUserService>
  fullName: System.Lazy<adas_core.Authentication.Interfaces.IUserService>
  nameWithType.vb: Lazy(Of IUserService)
  fullName.vb: System.Lazy(Of adas_core.Authentication.Interfaces.IUserService)
  name.vb: Lazy(Of IUserService)
  spec.csharp:
  - uid: System.Lazy`1
    name: Lazy
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.lazy-1
  - name: <
  - uid: adas_core.Authentication.Interfaces.IUserService
    name: IUserService
    href: adas_core.Authentication.Interfaces.IUserService.html
  - name: '>'
  spec.vb:
  - uid: System.Lazy`1
    name: Lazy
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.lazy-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Authentication.Interfaces.IUserService
    name: IUserService
    href: adas_core.Authentication.Interfaces.IUserService.html
  - name: )
- uid: adas_core.Authentication.Interfaces.IAuthorityService
  commentId: T:adas_core.Authentication.Interfaces.IAuthorityService
  parent: adas_core.Authentication.Interfaces
  href: adas_core.Authentication.Interfaces.IAuthorityService.html
  name: IAuthorityService
  nameWithType: IAuthorityService
  fullName: adas_core.Authentication.Interfaces.IAuthorityService
- uid: Microsoft.Extensions.Logging.ILogger{adas_core.LdapLogin.LdapLoginService}
  commentId: T:Microsoft.Extensions.Logging.ILogger{adas_core.LdapLogin.LdapLoginService}
  parent: Microsoft.Extensions.Logging
  definition: Microsoft.Extensions.Logging.ILogger`1
  href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.logging.ilogger-1
  name: ILogger<LdapLoginService>
  nameWithType: ILogger<LdapLoginService>
  fullName: Microsoft.Extensions.Logging.ILogger<adas_core.LdapLogin.LdapLoginService>
  nameWithType.vb: ILogger(Of LdapLoginService)
  fullName.vb: Microsoft.Extensions.Logging.ILogger(Of adas_core.LdapLogin.LdapLoginService)
  name.vb: ILogger(Of LdapLoginService)
  spec.csharp:
  - uid: Microsoft.Extensions.Logging.ILogger`1
    name: ILogger
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.logging.ilogger-1
  - name: <
  - uid: adas_core.LdapLogin.LdapLoginService
    name: LdapLoginService
    href: adas_core.LdapLogin.LdapLoginService.html
  - name: '>'
  spec.vb:
  - uid: Microsoft.Extensions.Logging.ILogger`1
    name: ILogger
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.logging.ilogger-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.LdapLogin.LdapLoginService
    name: LdapLoginService
    href: adas_core.LdapLogin.LdapLoginService.html
  - name: )
- uid: Microsoft.Extensions.Options.IOptions`1
  commentId: T:Microsoft.Extensions.Options.IOptions`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  name: IOptions<TOptions>
  nameWithType: IOptions<TOptions>
  fullName: Microsoft.Extensions.Options.IOptions<TOptions>
  nameWithType.vb: IOptions(Of TOptions)
  fullName.vb: Microsoft.Extensions.Options.IOptions(Of TOptions)
  name.vb: IOptions(Of TOptions)
  spec.csharp:
  - uid: Microsoft.Extensions.Options.IOptions`1
    name: IOptions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  - name: <
  - name: TOptions
  - name: '>'
  spec.vb:
  - uid: Microsoft.Extensions.Options.IOptions`1
    name: IOptions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  - name: (
  - name: Of
  - name: " "
  - name: TOptions
  - name: )
- uid: Microsoft.Extensions.Options
  commentId: N:Microsoft.Extensions.Options
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/microsoft
  name: Microsoft.Extensions.Options
  nameWithType: Microsoft.Extensions.Options
  fullName: Microsoft.Extensions.Options
  spec.csharp:
  - uid: Microsoft
    name: Microsoft
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft
  - name: .
  - uid: Microsoft.Extensions
    name: Extensions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions
  - name: .
  - uid: Microsoft.Extensions.Options
    name: Options
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options
  spec.vb:
  - uid: Microsoft
    name: Microsoft
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft
  - name: .
  - uid: Microsoft.Extensions
    name: Extensions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions
  - name: .
  - uid: Microsoft.Extensions.Options
    name: Options
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options
- uid: FluentValidation.IValidator`1
  commentId: T:FluentValidation.IValidator`1
  isExternal: true
  name: IValidator<T>
  nameWithType: IValidator<T>
  fullName: FluentValidation.IValidator<T>
  nameWithType.vb: IValidator(Of T)
  fullName.vb: FluentValidation.IValidator(Of T)
  name.vb: IValidator(Of T)
  spec.csharp:
  - uid: FluentValidation.IValidator`1
    name: IValidator
    isExternal: true
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: FluentValidation.IValidator`1
    name: IValidator
    isExternal: true
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: FluentValidation
  commentId: N:FluentValidation
  isExternal: true
  name: FluentValidation
  nameWithType: FluentValidation
  fullName: FluentValidation
- uid: System.Lazy`1
  commentId: T:System.Lazy`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.lazy-1
  name: Lazy<T>
  nameWithType: Lazy<T>
  fullName: System.Lazy<T>
  nameWithType.vb: Lazy(Of T)
  fullName.vb: System.Lazy(Of T)
  name.vb: Lazy(Of T)
  spec.csharp:
  - uid: System.Lazy`1
    name: Lazy
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.lazy-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Lazy`1
    name: Lazy
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.lazy-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: Microsoft.Extensions.Logging.ILogger`1
  commentId: T:Microsoft.Extensions.Logging.ILogger`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.logging.ilogger-1
  name: ILogger<TCategoryName>
  nameWithType: ILogger<TCategoryName>
  fullName: Microsoft.Extensions.Logging.ILogger<TCategoryName>
  nameWithType.vb: ILogger(Of TCategoryName)
  fullName.vb: Microsoft.Extensions.Logging.ILogger(Of TCategoryName)
  name.vb: ILogger(Of TCategoryName)
  spec.csharp:
  - uid: Microsoft.Extensions.Logging.ILogger`1
    name: ILogger
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.logging.ilogger-1
  - name: <
  - name: TCategoryName
  - name: '>'
  spec.vb:
  - uid: Microsoft.Extensions.Logging.ILogger`1
    name: ILogger
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.logging.ilogger-1
  - name: (
  - name: Of
  - name: " "
  - name: TCategoryName
  - name: )
- uid: Microsoft.Extensions.Logging
  commentId: N:Microsoft.Extensions.Logging
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/microsoft
  name: Microsoft.Extensions.Logging
  nameWithType: Microsoft.Extensions.Logging
  fullName: Microsoft.Extensions.Logging
  spec.csharp:
  - uid: Microsoft
    name: Microsoft
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft
  - name: .
  - uid: Microsoft.Extensions
    name: Extensions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions
  - name: .
  - uid: Microsoft.Extensions.Logging
    name: Logging
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.logging
  spec.vb:
  - uid: Microsoft
    name: Microsoft
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft
  - name: .
  - uid: Microsoft.Extensions
    name: Extensions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions
  - name: .
  - uid: Microsoft.Extensions.Logging
    name: Logging
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.logging
- uid: adas_core.LdapLogin.LdapLoginService.AllowPassword*
  commentId: Overload:adas_core.LdapLogin.LdapLoginService.AllowPassword
  href: adas_core.LdapLogin.LdapLoginService.html#adas_core_LdapLogin_LdapLoginService_AllowPassword
  name: AllowPassword
  nameWithType: LdapLoginService.AllowPassword
  fullName: adas_core.LdapLogin.LdapLoginService.AllowPassword
- uid: adas_core.Authentication.Interfaces.ILoginService.AllowPassword
  commentId: P:adas_core.Authentication.Interfaces.ILoginService.AllowPassword
  parent: adas_core.Authentication.Interfaces.ILoginService
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_AllowPassword
  name: AllowPassword
  nameWithType: ILoginService.AllowPassword
  fullName: adas_core.Authentication.Interfaces.ILoginService.AllowPassword
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: adas_core.LdapLogin.LdapLoginService.Method*
  commentId: Overload:adas_core.LdapLogin.LdapLoginService.Method
  href: adas_core.LdapLogin.LdapLoginService.html#adas_core_LdapLogin_LdapLoginService_Method
  name: Method
  nameWithType: LdapLoginService.Method
  fullName: adas_core.LdapLogin.LdapLoginService.Method
- uid: adas_core.Authentication.Interfaces.ILoginService.Method
  commentId: P:adas_core.Authentication.Interfaces.ILoginService.Method
  parent: adas_core.Authentication.Interfaces.ILoginService
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Method
  name: Method
  nameWithType: ILoginService.Method
  fullName: adas_core.Authentication.Interfaces.ILoginService.Method
- uid: adas_core.Domain.Enums.UserEnum.LoginMethod
  commentId: T:adas_core.Domain.Enums.UserEnum.LoginMethod
  parent: adas_core.Domain.Enums
  href: adas_core.Domain.Enums.UserEnum.html
  name: UserEnum.LoginMethod
  nameWithType: UserEnum.LoginMethod
  fullName: adas_core.Domain.Enums.UserEnum.LoginMethod
  spec.csharp:
  - uid: adas_core.Domain.Enums.UserEnum
    name: UserEnum
    href: adas_core.Domain.Enums.UserEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.UserEnum.LoginMethod
    name: LoginMethod
    href: adas_core.Domain.Enums.UserEnum.LoginMethod.html
  spec.vb:
  - uid: adas_core.Domain.Enums.UserEnum
    name: UserEnum
    href: adas_core.Domain.Enums.UserEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.UserEnum.LoginMethod
    name: LoginMethod
    href: adas_core.Domain.Enums.UserEnum.LoginMethod.html
- uid: adas_core.Domain.Enums
  commentId: N:adas_core.Domain.Enums
  href: adas_core.html
  name: adas_core.Domain.Enums
  nameWithType: adas_core.Domain.Enums
  fullName: adas_core.Domain.Enums
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
- uid: adas_core.Domain.Exceptions.LoginServicesException
  commentId: T:adas_core.Domain.Exceptions.LoginServicesException
  href: adas_core.Domain.Exceptions.LoginServicesException.html
  name: LoginServicesException
  nameWithType: LoginServicesException
  fullName: adas_core.Domain.Exceptions.LoginServicesException
- uid: adas_core.Domain.Exceptions.UserNotFoundException
  commentId: T:adas_core.Domain.Exceptions.UserNotFoundException
  href: adas_core.Domain.Exceptions.UserNotFoundException.html
  name: UserNotFoundException
  nameWithType: UserNotFoundException
  fullName: adas_core.Domain.Exceptions.UserNotFoundException
- uid: adas_core.LdapLogin.LdapLoginService.Login*
  commentId: Overload:adas_core.LdapLogin.LdapLoginService.Login
  href: adas_core.LdapLogin.LdapLoginService.html#adas_core_LdapLogin_LdapLoginService_Login_System_String_System_String_
  name: Login
  nameWithType: LdapLoginService.Login
  fullName: adas_core.LdapLogin.LdapLoginService.Login
- uid: adas_core.Authentication.Interfaces.ILoginService.Login(System.String,System.String)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.Login(System.String,System.String)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_System_String_System_String_
  name: Login(string, string)
  nameWithType: ILoginService.Login(string, string)
  fullName: adas_core.Authentication.Interfaces.ILoginService.Login(string, string)
  nameWithType.vb: ILoginService.Login(String, String)
  fullName.vb: adas_core.Authentication.Interfaces.ILoginService.Login(String, String)
  name.vb: Login(String, String)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Login(System.String,System.String)
    name: Login
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_System_String_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Login(System.String,System.String)
    name: Login
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_System_String_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
  commentId: T:System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
  parent: System.Threading.Tasks
  definition: System.Threading.Tasks.Task`1
  href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  name: Task<User>
  nameWithType: Task<User>
  fullName: System.Threading.Tasks.Task<adas_core.Domain.Models.MongoModels.User>
  nameWithType.vb: Task(Of User)
  fullName.vb: System.Threading.Tasks.Task(Of adas_core.Domain.Models.MongoModels.User)
  name.vb: Task(Of User)
  spec.csharp:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: <
  - uid: adas_core.Domain.Models.MongoModels.User
    name: User
  - name: '>'
  spec.vb:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.MongoModels.User
    name: User
  - name: )
- uid: System.Threading.Tasks.Task`1
  commentId: T:System.Threading.Tasks.Task`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  name: Task<TResult>
  nameWithType: Task<TResult>
  fullName: System.Threading.Tasks.Task<TResult>
  nameWithType.vb: Task(Of TResult)
  fullName.vb: System.Threading.Tasks.Task(Of TResult)
  name.vb: Task(Of TResult)
  spec.csharp:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: <
  - name: TResult
  - name: '>'
  spec.vb:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: (
  - name: Of
  - name: " "
  - name: TResult
  - name: )
- uid: System.Threading.Tasks
  commentId: N:System.Threading.Tasks
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Threading.Tasks
  nameWithType: System.Threading.Tasks
  fullName: System.Threading.Tasks
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Threading
    name: Threading
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading
  - name: .
  - uid: System.Threading.Tasks
    name: Tasks
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Threading
    name: Threading
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading
  - name: .
  - uid: System.Threading.Tasks
    name: Tasks
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks
- uid: adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_Microsoft_AspNetCore_Http_HttpContext_
  name: Login(HttpContext)
  nameWithType: ILoginService.Login(HttpContext)
  fullName: adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
    name: Login
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_Microsoft_AspNetCore_Http_HttpContext_
  - name: (
  - uid: Microsoft.AspNetCore.Http.HttpContext
    name: HttpContext
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore.http.httpcontext
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
    name: Login
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_Microsoft_AspNetCore_Http_HttpContext_
  - name: (
  - uid: Microsoft.AspNetCore.Http.HttpContext
    name: HttpContext
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore.http.httpcontext
  - name: )
- uid: Microsoft.AspNetCore.Http.HttpContext
  commentId: T:Microsoft.AspNetCore.Http.HttpContext
  parent: Microsoft.AspNetCore.Http
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore.http.httpcontext
  name: HttpContext
  nameWithType: HttpContext
  fullName: Microsoft.AspNetCore.Http.HttpContext
- uid: Microsoft.AspNetCore.Http
  commentId: N:Microsoft.AspNetCore.Http
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/microsoft
  name: Microsoft.AspNetCore.Http
  nameWithType: Microsoft.AspNetCore.Http
  fullName: Microsoft.AspNetCore.Http
  spec.csharp:
  - uid: Microsoft
    name: Microsoft
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft
  - name: .
  - uid: Microsoft.AspNetCore
    name: AspNetCore
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore
  - name: .
  - uid: Microsoft.AspNetCore.Http
    name: Http
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore.http
  spec.vb:
  - uid: Microsoft
    name: Microsoft
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft
  - name: .
  - uid: Microsoft.AspNetCore
    name: AspNetCore
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore
  - name: .
  - uid: Microsoft.AspNetCore.Http
    name: Http
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore.http
- uid: adas_core.LdapLogin.LdapLoginService.Authenticate*
  commentId: Overload:adas_core.LdapLogin.LdapLoginService.Authenticate
  href: adas_core.LdapLogin.LdapLoginService.html#adas_core_LdapLogin_LdapLoginService_Authenticate_System_String_System_String_
  name: Authenticate
  nameWithType: LdapLoginService.Authenticate
  fullName: adas_core.LdapLogin.LdapLoginService.Authenticate
- uid: adas_core.Authentication.Interfaces.ILoginService.Authenticate(System.String,System.String)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.Authenticate(System.String,System.String)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Authenticate_System_String_System_String_
  name: Authenticate(string, string)
  nameWithType: ILoginService.Authenticate(string, string)
  fullName: adas_core.Authentication.Interfaces.ILoginService.Authenticate(string, string)
  nameWithType.vb: ILoginService.Authenticate(String, String)
  fullName.vb: adas_core.Authentication.Interfaces.ILoginService.Authenticate(String, String)
  name.vb: Authenticate(String, String)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Authenticate(System.String,System.String)
    name: Authenticate
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Authenticate_System_String_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Authenticate(System.String,System.String)
    name: Authenticate
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Authenticate_System_String_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: adas_core.LdapLogin.LdapLoginService.GetById*
  commentId: Overload:adas_core.LdapLogin.LdapLoginService.GetById
  href: adas_core.LdapLogin.LdapLoginService.html#adas_core_LdapLogin_LdapLoginService_GetById_MongoDB_Bson_ObjectId_
  name: GetById
  nameWithType: LdapLoginService.GetById
  fullName: adas_core.LdapLogin.LdapLoginService.GetById
- uid: adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetById_MongoDB_Bson_ObjectId_
  name: GetById(ObjectId)
  nameWithType: ILoginService.GetById(ObjectId)
  fullName: adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
    name: GetById
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetById_MongoDB_Bson_ObjectId_
  - name: (
  - uid: MongoDB.Bson.ObjectId
    name: ObjectId
    isExternal: true
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
    name: GetById
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetById_MongoDB_Bson_ObjectId_
  - name: (
  - uid: MongoDB.Bson.ObjectId
    name: ObjectId
    isExternal: true
  - name: )
- uid: MongoDB.Bson.ObjectId
  commentId: T:MongoDB.Bson.ObjectId
  parent: MongoDB.Bson
  isExternal: true
  name: ObjectId
  nameWithType: ObjectId
  fullName: MongoDB.Bson.ObjectId
- uid: MongoDB.Bson
  commentId: N:MongoDB.Bson
  isExternal: true
  name: MongoDB.Bson
  nameWithType: MongoDB.Bson
  fullName: MongoDB.Bson
  spec.csharp:
  - uid: MongoDB
    name: MongoDB
    isExternal: true
  - name: .
  - uid: MongoDB.Bson
    name: Bson
    isExternal: true
  spec.vb:
  - uid: MongoDB
    name: MongoDB
    isExternal: true
  - name: .
  - uid: MongoDB.Bson
    name: Bson
    isExternal: true
- uid: adas_core.LdapLogin.LdapLoginService.GetByEmail*
  commentId: Overload:adas_core.LdapLogin.LdapLoginService.GetByEmail
  href: adas_core.LdapLogin.LdapLoginService.html#adas_core_LdapLogin_LdapLoginService_GetByEmail_System_String_
  name: GetByEmail
  nameWithType: LdapLoginService.GetByEmail
  fullName: adas_core.LdapLogin.LdapLoginService.GetByEmail
- uid: adas_core.Authentication.Interfaces.ILoginService.GetByEmail(System.String)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.GetByEmail(System.String)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByEmail_System_String_
  name: GetByEmail(string)
  nameWithType: ILoginService.GetByEmail(string)
  fullName: adas_core.Authentication.Interfaces.ILoginService.GetByEmail(string)
  nameWithType.vb: ILoginService.GetByEmail(String)
  fullName.vb: adas_core.Authentication.Interfaces.ILoginService.GetByEmail(String)
  name.vb: GetByEmail(String)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetByEmail(System.String)
    name: GetByEmail
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByEmail_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetByEmail(System.String)
    name: GetByEmail
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByEmail_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: adas_core.LdapLogin.LdapLoginService.GetByUsername*
  commentId: Overload:adas_core.LdapLogin.LdapLoginService.GetByUsername
  href: adas_core.LdapLogin.LdapLoginService.html#adas_core_LdapLogin_LdapLoginService_GetByUsername_System_String_
  name: GetByUsername
  nameWithType: LdapLoginService.GetByUsername
  fullName: adas_core.LdapLogin.LdapLoginService.GetByUsername
- uid: adas_core.Authentication.Interfaces.ILoginService.GetByUsername(System.String)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.GetByUsername(System.String)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByUsername_System_String_
  name: GetByUsername(string)
  nameWithType: ILoginService.GetByUsername(string)
  fullName: adas_core.Authentication.Interfaces.ILoginService.GetByUsername(string)
  nameWithType.vb: ILoginService.GetByUsername(String)
  fullName.vb: adas_core.Authentication.Interfaces.ILoginService.GetByUsername(String)
  name.vb: GetByUsername(String)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetByUsername(System.String)
    name: GetByUsername
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByUsername_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetByUsername(System.String)
    name: GetByUsername
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByUsername_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: adas_core.LdapLogin.LdapLoginService.GetAllUsers*
  commentId: Overload:adas_core.LdapLogin.LdapLoginService.GetAllUsers
  href: adas_core.LdapLogin.LdapLoginService.html#adas_core_LdapLogin_LdapLoginService_GetAllUsers
  name: GetAllUsers
  nameWithType: LdapLoginService.GetAllUsers
  fullName: adas_core.LdapLogin.LdapLoginService.GetAllUsers
- uid: adas_core.Authentication.Interfaces.ILoginService.GetAllUsers
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.GetAllUsers
  parent: adas_core.Authentication.Interfaces.ILoginService
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetAllUsers
  name: GetAllUsers()
  nameWithType: ILoginService.GetAllUsers()
  fullName: adas_core.Authentication.Interfaces.ILoginService.GetAllUsers()
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetAllUsers
    name: GetAllUsers
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetAllUsers
  - name: (
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetAllUsers
    name: GetAllUsers
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetAllUsers
  - name: (
  - name: )
- uid: System.Threading.Tasks.Task{System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.User}}
  commentId: T:System.Threading.Tasks.Task{System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.User}}
  parent: System.Threading.Tasks
  definition: System.Threading.Tasks.Task`1
  href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  name: Task<List<User>>
  nameWithType: Task<List<User>>
  fullName: System.Threading.Tasks.Task<System.Collections.Generic.List<adas_core.Domain.Models.MongoModels.User>>
  nameWithType.vb: Task(Of List(Of User))
  fullName.vb: System.Threading.Tasks.Task(Of System.Collections.Generic.List(Of adas_core.Domain.Models.MongoModels.User))
  name.vb: Task(Of List(Of User))
  spec.csharp:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: <
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: adas_core.Domain.Models.MongoModels.User
    name: User
  - name: '>'
  - name: '>'
  spec.vb:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: (
  - name: Of
  - name: " "
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.MongoModels.User
    name: User
  - name: )
  - name: )
